<f:for each="{data.flexform_margin -> v:iterator.explode(glue: ',')}" as="margin">
    {v:variable.set(name: 'data.flexform_margin{margin}', value: 1)}
</f:for>

<f:for each="{data.flexform_padding -> v:iterator.explode(glue: ',')}" as="padding">
    {v:variable.set(name: 'data.flexform_padding{padding}', value: 1)}
</f:for>

<section id="c{data.uid}" class="gridContainer 3cols{f:if(condition: data.flexform_bgColor, then: ' {data.flexform_bgColor}')}{f:if(condition: '{data.flexform_className}', then: ' {data.flexform_className}')}{f:if(condition: '{data.flexform_paddingTop} == 1', then: ' paddingTop')}{f:if(condition: '{data.flexform_paddingBottom} == 1', then: ' paddingBottom')}{f:if(condition: data.flexform_margin1, then: ' marginTop')}{f:if(condition: data.flexform_margin2, then: ' marginLeft')}{f:if(condition: data.flexform_margin3, then: ' marginRight')}{f:if(condition: data.flexform_margin4, then: ' marginBottom')}{f:if(condition: data.flexform_padding1, then: ' paddingTop')}{f:if(condition: data.flexform_padding2, then: ' paddingLeft')}{f:if(condition: data.flexform_padding3, then: ' paddingRight')}{f:if(condition: data.flexform_padding4, then: ' paddingBottom')} frame frame-{data.frame_class} frame-type-{data.CType} frame-layout-{data.layout}">
    <div class="container">
        <f:if condition="{data.header}">
            <div class="row">
                <div class="col">
                    <header class="hyphenate">
                        <f:switch expression="{data.header_layout}">
                            <f:case value="1">
                                <h1><f:format.raw>{data.header}</f:format.raw></h1>
                            </f:case>
                            <f:case value="2">
                                <h2><f:format.raw>{data.header}</f:format.raw></h2>
                            </f:case>
                            <f:case value="3">
                                <h3><f:format.raw>{data.header}</f:format.raw></h3>
                            </f:case>
                            <f:case value="4">
                                <h4><f:format.raw>{data.header}</f:format.raw></h4>
                            </f:case>
                            <f:case value="5">
                                <h5><f:format.raw>{data.header}</f:format.raw></h5>
                            </f:case>
                            <f:case value="6">
                                <h6><f:format.raw>{data.header}</f:format.raw></h6>
                            </f:case>
                            <f:defaultCase>
                                <h2><f:format.raw>{data.header}</f:format.raw></h2>
                            </f:defaultCase>
                        </f:switch>
                    </header>
                </div>
            </div>
        </f:if>

        <div class="row">
            <f:if condition="{data.flexform_columnType} == 'cols-33-33-33'">
                <f:then>
                    <div class="col-md-4">
                        {data.tx_gridelements_view_column_10->f:format.raw()}
                    </div>
                    <div class="col-md-4">
                        {data.tx_gridelements_view_column_11->f:format.raw()}
                    </div>
                    <div class="col-md-4">
                        {data.tx_gridelements_view_column_12->f:format.raw()}
                    </div>
                </f:then>
                <f:else if="{data.flexform_columnType} == 'cols-50-25-25'">
                    <div class="col-md-6">
                        {data.tx_gridelements_view_column_10->f:format.raw()}
                    </div>
                    <div class="col-md-3">
                        {data.tx_gridelements_view_column_11->f:format.raw()}
                    </div>
                    <div class="col-md-3">
                        {data.tx_gridelements_view_column_12->f:format.raw()}
                    </div>
                </f:else>
                <f:else if="{data.flexform_columnType} == 'cols-25-50-25'">
                    <div class="col-md-3">
                        {data.tx_gridelements_view_column_10->f:format.raw()}
                    </div>
                    <div class="col-md-6">
                        {data.tx_gridelements_view_column_11->f:format.raw()}
                    </div>
                    <div class="col-md-3">
                        {data.tx_gridelements_view_column_12->f:format.raw()}
                    </div>
                </f:else>
                <f:else if="{data.flexform_columnType} == 'cols-25-25-50'">
                    <div class="col-md-3">
                        {data.tx_gridelements_view_column_10->f:format.raw()}
                    </div>
                    <div class="col-md-3">
                        {data.tx_gridelements_view_column_11->f:format.raw()}
                    </div>
                    <div class="col-md-6">
                        {data.tx_gridelements_view_column_12->f:format.raw()}
                    </div>
                </f:else>
            </f:if>
        </div>
    </div>
</section>